### 5.1.47 freemodule

`Syntax:`
  `freemodule (` int_expression `)`
`Type:`
  module
`Purpose:`
  creates the free module of rank n generated by `gen(1)`, ..., `gen(n)`.
`Example:`

        ring r=32003,(x,y),(c,dp);
        freemodule(3);
      ==> _[1]=[1]
      ==> _[2]=[0,1]
      ==> _[3]=[0,0,1]
        matrix m=freemodule(3); // generates the 3x3 unit matrix
        print(m);
      ==> 1,0,0,
      ==> 0,1,0,
      ==> 0,0,1

See gen; module.

User manual for Singular version 4.4.1, 2025, generated by texi2html.